__version__="$Id: simplot.py,v 1.1 2000/10/11 14:03:47 phil Exp phil $"

import dislin
from Numeric import *

class canvas:
    def __init__(self):
        print "calling canvas constructor"
        dislin.metafl ('xwin')
        dislin.disini ()
        dislin.complx ()
        dislin.pagera ()

class plot:
    def __init__(self,title="Title"):
        dislin.titlin (title, 1)

class axis:
    def __init__(self,axname='X',label='Axis'):
        dislin.axspos (450, 1800)
        dislin.axslen (2200, 1200)
        dislin.name   (label, axname)
        

def render(xdata,ydata):
    grafdum=[1]*8
    dislin.setscl(xdata,len(xdata),'X')
    dislin.setscl(ydata,len(ydata),'Y')
    apply(dislin.graf,grafdum)
    dislin.curve(xdata,ydata,len(xdata))
    dislin.title()
    dislin.disfin()

if __name__=='__main__':

    thecanvas=canvas()
    theplot=plot('My Title')
    xaxis=axis('X','MyX')
    yaxis=axis('Y','MyY')
    xdata=arange(10)
    ydata=xdata
    render(xdata,ydata)
    
    
    
